package com.example.communication_application
import android.content.Intent
import android.net.Uri
import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class SecondActivity : AppCompatActivity() {

    private lateinit var textUserInfo: TextView
    private lateinit var btnShareEmail: Button
    private lateinit var btnShareSMS: Button

    private var name: String = ""
    private var firstName: String = ""
    private var phone: String = ""
    private var email: String = ""

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_second)

        textUserInfo = findViewById(R.id.textUserInfo)
        btnShareEmail = findViewById(R.id.btnShareEmail)
        btnShareSMS = findViewById(R.id.btnShareSMS)

        name = intent.getStringExtra("name") ?: ""
        firstName = intent.getStringExtra("firstName") ?: ""
        phone = intent.getStringExtra("phone") ?: ""
        email = intent.getStringExtra("email") ?: ""

        textUserInfo.text = getString(R.string.user_info, name, firstName, phone, email)

        btnShareEmail.setOnClickListener {
            shareViaEmail()
        }

        btnShareSMS.setOnClickListener {
            shareViaSMS()
        }
    }

    private fun shareViaEmail() {
        val intent = Intent(Intent.ACTION_SENDTO).apply {
            data = Uri.parse("mailto:$email")
            putExtra(Intent.EXTRA_SUBJECT, getString(R.string.email_subject))
            putExtra(Intent.EXTRA_TEXT, getString(R.string.email_body, name, firstName, phone, email))
        }
        startActivity(intent)
    }

    private fun shareViaSMS() {
        val intent = Intent(Intent.ACTION_SENDTO).apply {
            data = Uri.parse("smsto:$phone")
            putExtra("sms_body", getString(R.string.sms_body, name, firstName))
        }
        startActivity(intent)
    }
}
