package com.example.fragmentexample

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import androidx.fragment.app.Fragment

class BaseFragment : Fragment() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Log.d("Fragment", "onCreate()")
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        Log.d("Fragment", "onCreateView()")
        return inflater.inflate(R.layout.base_fragment, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        Log.d("Fragment", "onViewCreated()")
        val editText = view.findViewById<EditText>(R.id.fragmentEditText)
        val button = view.findViewById<Button>(R.id.sendButton)

        button.setOnClickListener {
            val inputText = editText.text.toString()
            (requireActivity() as MainActivity).updateMainText(inputText)
        }
    }

    override fun onStart() { super.onStart(); Log.d("Fragment", "onStart()") }
    override fun onResume() { super.onResume(); Log.d("Fragment", "onResume()") }
    override fun onPause() { super.onPause(); Log.d("Fragment", "onPause()") }
    override fun onStop() { super.onStop(); Log.d("Fragment", "onStop()") }
    override fun onDestroyView() { super.onDestroyView(); Log.d("Fragment", "onDestroyView()") }
    override fun onDestroy() { super.onDestroy(); Log.d("Fragment", "onDestroy()") }
}
