package com.example.dynamicfragmentsdemo

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import androidx.fragment.app.Fragment

class Fragment2 : Fragment() {
    private lateinit var messageTextView: TextView

    fun setMessage(message: String) {
        if (this::messageTextView.isInitialized) {
            messageTextView.text = message
        }
    }

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment2, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        val editText = view.findViewById<EditText>(R.id.editTextMessage)
        val sendButton = view.findViewById<Button>(R.id.sendButton)
        messageTextView = view.findViewById(R.id.messageReceived)

        sendButton.setOnClickListener {
            val result = Bundle()
            result.putString("data", editText.text.toString())
            parentFragmentManager.setFragmentResult("message2", result)
        }
    }
}
