package com.example.dynamicfragmentsdemo

import android.os.Bundle
import android.widget.Button
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment

class MainActivity : AppCompatActivity() {
    private val fragment1 = Fragment1()
    private val fragment2 = Fragment2()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val button1 = findViewById<Button>(R.id.button1)
        val button2 = findViewById<Button>(R.id.button2)

        button1.setOnClickListener {
            loadFragment(fragment1)
        }

        button2.setOnClickListener {
            loadFragment(fragment2)
        }

        supportFragmentManager.setFragmentResultListener("message1", this) { _, bundle ->
            val message = bundle.getString("data")
            fragment2.setMessage(message ?: "")
        }

        supportFragmentManager.setFragmentResultListener("message2", this) { _, bundle ->
            val message = bundle.getString("data")
            fragment1.setMessage(message ?: "")
        }
    }

    private fun loadFragment(fragment: Fragment) {
        val transaction = supportFragmentManager.beginTransaction()
        transaction.replace(R.id.fragmentContainer, fragment)
        transaction.addToBackStack(null)
        transaction.commit()
    }
}
