package com.example.deezersearch

import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import androidx.activity.ComponentActivity
import androidx.activity.viewModels
import androidx.lifecycle.Observer
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.deezersearch.adapter.TrackAdapter
import com.example.deezersearch.viewmodel.TracksViewModel

class MainActivity : ComponentActivity() {

    private val viewModel: TracksViewModel by viewModels()

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val searchInput: EditText = findViewById(R.id.search_input)
        val searchButton: Button = findViewById(R.id.search_button)
        val recyclerView: RecyclerView = findViewById(R.id.recycler_view)

        recyclerView.layoutManager = GridLayoutManager(this, 2)

        val observer = Observer<com.example.deezersearch.model.DeezerSearchResponse> { response ->
            recyclerView.adapter = TrackAdapter(response.data)
        }

        viewModel.data.observe(this, observer)

        searchButton.setOnClickListener {
            val query = searchInput.text.toString().trim()
            if (query.isNotEmpty()) {
                viewModel.searchTracks(query)
            }
        }
    }
}
