package com.example.deezersearch.adapter

import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.example.deezersearch.R
import com.example.deezersearch.model.Track

class TrackAdapter(private val tracks: List<Track>) :
    RecyclerView.Adapter<TrackAdapter.TrackViewHolder>() {

    inner class TrackViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
        val albumTitleTextView: TextView = itemView.findViewById(R.id.albumTitleTextView)
        val songTitleTextView: TextView = itemView.findViewById(R.id.songTitleTextView)
        val artistNameTextView: TextView = itemView.findViewById(R.id.artistNameTextView)
        val coverImageView: ImageView = itemView.findViewById(R.id.coverImageView)
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): TrackViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.track_item, parent, false)
        return TrackViewHolder(view)
    }

    override fun onBindViewHolder(holder: TrackViewHolder, position: Int) {
        val track = tracks[position]
        holder.albumTitleTextView.text = track.album.title
        holder.songTitleTextView.text = track.title
        holder.artistNameTextView.text = track.artist.name

        Glide.with(holder.itemView.context)
            .load(track.album.cover)
            .placeholder(R.drawable.placeholder_image)
            .into(holder.coverImageView)
    }

    override fun getItemCount(): Int = tracks.size
}
