package com.example.deezersearch.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import com.example.deezersearch.model.DeezerSearchResponse
import com.example.deezersearch.network.DeezerApiInterface
import com.example.deezersearch.network.RetrofitInstance
import kotlinx.coroutines.launch

class TracksViewModel : ViewModel() {
    val data = MutableLiveData<DeezerSearchResponse>()
    private val api = RetrofitInstance.getInstance().create(DeezerApiInterface::class.java)

    fun searchTracks(query: String) {
        viewModelScope.launch {
            try {
                val response = api.searchTracks(query)
                data.value = response
            } catch (e: Exception) {
                data.value = DeezerSearchResponse(emptyList())
            }
        }
    }
}
