# Mobile Application Development Labs

Welcome to the Mobile Application Development labs!

In this repository you will find the resources necessary for the realization of the labs.


## Tutorial git

First of all, make a **fork** of this repository with the visibility level `Private` so that you have a copy of it in which you can add your work.
Once this **fork** is done, share it with your teacher by going to the `Members` section of your repository and adding `b.naegel@unistra.fr` as a `Reporter`.

Check again that the visibility of your project is `Private`.

---

You can now **clone** your repository on your working machine in order to have a local workspace:
```sh
git clone https://git.unistra.fr/b.naegel/mobile-application-development.git
```
You will then have a `mobile-application-development/` folder that contains a local copy of your repository.


---

You can now modify the content of existing files and create new folders or files.
If you move or delete a file or folder that is already *under control*, you will need to inform git by executing the action as follows:
```sh
git mv old_name new_name
git rm file_to_delete
```

At any time, you can *inspect the state* of your repository with the command:
```sh
git status
```

You can see, for example, if there are files in your repository that are not yet *under control*.
If this is the case and you want to *add them to the repository*, you can do:
```sh
git add file_to_add
```

If files have been *modified* and you want to validate these modifications, you can also do:
```sh
git add modified_file
```

These **add** commands allow you to inform git of all the modifications you want to validate for the next **commit**.
**Commits** are the basic elements that make up the successive steps of the state of the repository.
A **commit** is actually a set of **diff** (additions/deletions) on files.

Once you are happy with your modifications and have added for the next **commit** all the desired files, you can actually make this new **commit**:
```sh
git commit -m"Commit message"
```

If you omit a commit message, your default text editor will open so that you can enter a **comment** (mandatory) accompanying the commit.

---

At this point, nothing has happened at the network level and your remote repository is not yet aware that you have made a new commit.

To *send* this new commit to your repository, you can do:
```sh
git push
```
This command will send your new commit(s) to the default remote repository.
The default **remote** is called *origin* and is the one from which you cloned your local copy.

If you want to work on multiple machines, you can clone your repository on each of your machines.
Before starting to work, to retrieve in local the commits that you would not have on this machine, you can start by doing:
```sh
git pull
```

This command will fetch from the default remote ("origin") the commits you do not yet have locally and update your working copy so that it includes these new commits.


---

Modifications may be made to the reference repository from which you forked your repository.
To retrieve these changes, you can add a new remote to the configuration of your local repository:

```sh
git remote add upstream https://git.unistra.fr/b.naegel/mobile-application-development.git
```

Here, upstream is the name chosen for this new remote (you could have chosen another name).
It is generally the name given to the reference repository from which you forked your own.

You can confirm that it has been added by running the following command (which lists the known remotes):

```sh
git remote -v
```

To fetch the commits added by your instructors to the reference repository, you can now run:

```sh
git pull upstream main
```

Here, main is the name of the branch you are working in.






